Subject: bug#20385: [PROPOSED PATCH] Support quoting 'like this' in doc strings

From: Paul Eggert <[email-masked]>
Date: Thu, 23 Apr 2015 10:11:40 -0700

On 04/23/2015 07:51 AM, Drew Adams wrote:
> Sacrificing being able to use two levels of quoting for ordinary
> text in favor of stealing one of them for code quoting
That's not what the Emacs info files do.  They prefer American English 
conventions for ordinary text, including quoting “like this” for 
ordinary top-level text.  And they prefer single quoting at the top 
level ‘like-this’ for quoting code.  There's no ambiguity in practice, 
as ordinary quoted text does not quote code in the manuals.  Emacs doc 
strings are similar, so there won't be any ambiguity in practice there 
either.

> No doubt we do have a similarly unmistakable tag for code quoting,
> in TexInfo.

Yes, it's @code{whatever}.

> That tag is transformed to `...' in Emacs Info.

No, @code{foo} is transformed to ‘foo’.